Test Sync
curl --request POST \
--url http://127.0.0.1:3333/v3/results/test-sync \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"workspaceId": "<string>",
"provider": {
"type": "google sheets",
"credentialsId": "<string>",
"spreadsheetId": "<string>",
"sheetName": "<string>"
}
}
'import requests
url = "http://127.0.0.1:3333/v3/results/test-sync"
payload = {
"workspaceId": "<string>",
"provider": {
"type": "google sheets",
"credentialsId": "<string>",
"spreadsheetId": "<string>",
"sheetName": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
workspaceId: '<string>',
provider: {
type: 'google sheets',
credentialsId: '<string>',
spreadsheetId: '<string>',
sheetName: '<string>'
}
})
};
fetch('http://127.0.0.1:3333/v3/results/test-sync', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"success": true
}Jobs & Exports
Test Sync
Test external storage synchronization.
POST
/
v3
/
results
/
test-sync
Test Sync
curl --request POST \
--url http://127.0.0.1:3333/v3/results/test-sync \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"workspaceId": "<string>",
"provider": {
"type": "google sheets",
"credentialsId": "<string>",
"spreadsheetId": "<string>",
"sheetName": "<string>"
}
}
'import requests
url = "http://127.0.0.1:3333/v3/results/test-sync"
payload = {
"workspaceId": "<string>",
"provider": {
"type": "google sheets",
"credentialsId": "<string>",
"spreadsheetId": "<string>",
"sheetName": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
workspaceId: '<string>',
provider: {
type: 'google sheets',
credentialsId: '<string>',
spreadsheetId: '<string>',
sheetName: '<string>'
}
})
};
fetch('http://127.0.0.1:3333/v3/results/test-sync', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"success": true
}Authorizations
bearerAuthapiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
200 - application/json
Default Response